
Synnefo - Bug # 2918

Status: Closed Priority: High

Author: Vangelis Koukis Category: Astakos

Created: 10/12/2012 Assignee: Sofia Papagiannaki

Updated: 02/08/2013 Due date:

Subject: HTTP 500, AttribueError: 'WSGIRequest' object has no attribute 'HEAD'

Description

Spotted on okeanos.io:

Traceback (most recent call last):

  File "/usr/lib/pymodules/python2.6/django/core/handlers/base.py", line 127, in get_response

    return callback(request, **param_dict)

  File "/usr/lib/pymodules/python2.6/django/views/defaults.py", line 14, in page_not_found

    return http.HttpResponseNotFound(t.render(RequestContext(request, {'request_path': request.path})))

  File "/usr/lib/pymodules/python2.6/django/template/context.py", line 149, in __init__

    self.update(processor(request))

  File "/usr/lib/python2.6/dist-packages/astakos/im/context_processors.py", line 48, in next

    return {'next' : get_query(request).get('next', '')}

  File "/usr/lib/python2.6/dist-packages/astakos/im/util.py", line 166, in get_query

    return request.__getattribute__(request.method)

AttributeError: 'WSGIRequest' object has no attribute 'HEAD'

<WSGIRequest

GET:<QueryDict: {}>,

POST:<QueryDict: {}>,

COOKIES:{},

META:{'HTTP_CONNECTION': 'Keep-Alive',

 'HTTP_HOST': 'localhost:8080',

 'HTTP_USER_AGENT': 'COMODO SSL Checker',

 'HTTP_X_FORWARDED_FOR': '91.199.212.132',

 'HTTP_X_FORWARDED_HOST': 'demo2.dev.grnet.gr',

 'HTTP_X_FORWARDED_PROTOCOL': 'https',

 'HTTP_X_FORWARDED_SERVER': 'accounts.okeanos.io',

 'PATH_INFO': u'/robots.txt',

 'QUERY_STRING': '',

 'RAW_URI': '/robots.txt',

 'REMOTE_ADDR': '91.199.212.132',

 'REMOTE_PORT': '80',

 'REQUEST_METHOD': 'HEAD',

 'SCRIPT_NAME': u'',

 'SERVER_NAME': 'localhost',

 'SERVER_PORT': '8080',

 'SERVER_PROTOCOL': 'HTTP/1.1',

 'SERVER_SOFTWARE': 'gunicorn/0.14.5',
 'gunicorn.socket': <socket at 0x1239910 fileno=40 sock=127.0.0.1:8080 peer=127.0.0.1:46238>,

 'wsgi.errors': <gunicorn.glogging.LazyWriter object at 0xf96f10>,

 'wsgi.file_wrapper': <class gunicorn.http.wsgi.FileWrapper at 0xf6aa70>,

 'wsgi.input': <gunicorn.http.body.Body object at 0x1cb6fd0>,

 'wsgi.multiprocess': True,

 'wsgi.multithread': False,

 'wsgi.run_once': False,

 'wsgi.url_scheme': 'http',

 'wsgi.version': (1, 0)}>

History

#1 - 10/16/2012 06:52 pm - Sofia Papagiannaki

Fixed in Revision 77fc637a and Revision dda2e499

#2 - 10/30/2012 05:04 pm - Sofia Papagiannaki

commit:3d2e5537

commit:dda2e499

#3 - 10/30/2012 05:06 pm - Sofia Papagiannaki

The correct commit is:

commit:77fc637a (not commit:3d2e5537)

#4 - 10/30/2012 05:06 pm - Sofia Papagiannaki

- Target version changed from 0.7.1 to 0.7.6

#5 - 10/30/2012 05:07 pm - Sofia Papagiannaki

- Status changed from Assigned to Closed

#6 - 02/08/2013 07:14 pm - Vangelis Koukis

- Project changed from astakos to Synnefo

- Target version deleted (0.7.6)

#7 - 02/08/2013 07:14 pm - Vangelis Koukis

- Category set to Astakos
